> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/notatki-pinezki/28.-mutacja-zapisz-wiele-notes-operacja-wsadowa.md).

# 28. Mutacja: zapisz wiele "Notes", operacja wsadowa

Ta mutacja pozwala dołączyć wiele Notatek do określonego Pola.

{% hint style="success" %}
Maksymalna liczba Notatek do zapisania to 25.
{% endhint %}

{% hint style="success" %}
Dodaj `uuid` atrybut do wejścia, aby zaktualizować Notatkę.
{% endhint %}

* Notatka może być powiązana z Polem za pomocą jego unikalnego identyfikatora `fieldUuid,`  do powiązanego SoilDataset poprzez `soilDatasetUuid`, do ZonesMap poprzez `vectorAnalysisMapUuid`.
* Współrzędne Notatki można ustawić przy użyciu `centroid` atrybutu, który wymaga zdefiniowanych `szerokość_geograficzna` i `długość_geograficzna` wartości.&#x20;
* Typ Notatki można określić za pomocą `typ` atrybutu z akceptowalnymi wartościami `ZAPLANOWANA` lub `RZECZYWISTA`.&#x20;
* Opis Notatki można podać przy użyciu `komentarz` atrybutu. Jeśli opis ma być wieloliniowy, `komentarz` powinien zawierać ciąg znaków z znakami nowej linii `\\n` do oddzielania linii. Na przykład: `"Pierwsza linia. jest tutaj\\nDruga linia jest tutaj.\\nTrzecia linia jest tutaj."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacja BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Zapis wsadowy: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Aktualizacja wsadowa: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Zapis wsadowy: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Zapis wsadowy: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    dataUtworzenia
    dataAktualizacji
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/notatki-pinezki/28.-mutacja-zapisz-wiele-notes-operacja-wsadowa.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
